ZEN 2.0.21 - Must upgrade now

All exchanges, mining pools, node operators, and full node wallet users must update to ZEN 2.0.21 as of today to avoid potential disruption of your Horizen services.

Learn more about the upgrade and get the download links in our blog